package compbio.listeners;

import java.io.IOException;
import java.util.Calendar;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.cassandra.DataBase;
import compbio.statistic.StatisticsProt;

@WebServlet("/QueryServlet")
public class QueryServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		final long startTime = System.currentTimeMillis();
		String date1 = request.getParameter("data1");
		String date2 = request.getParameter("data2");
		StatisticsProt sp = new StatisticsProt();
		if (null != request.getParameter("option")) {
			Calendar cal = Calendar.getInstance();
			date1 = StatisticsProt.DateFormatYYMMDD(sp.earliestDate());
			date2 = cal.get(Calendar.YEAR) + "/" + (cal.get(Calendar.MONTH) + 1) + "/" + cal.get(Calendar.DAY_OF_MONTH);
		}
		request.setAttribute("data1", date1);
		request.setAttribute("data2", date2);
		List<DataBase> res = sp.readDetails(date1, date2);
		request.setAttribute("result", res);
		final long endTime = System.currentTimeMillis();
		request.setAttribute("timeExecution", (endTime - startTime));
		System.out.println ("QueryServlet.doGet: total number of dates = " + res.size());
		request.setAttribute("flag", request.getParameter("option"));
		RequestDispatcher rd = request.getRequestDispatcher("/ReportNew.jsp");
		rd.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
